// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: command/charger/RemoteStartTransaction.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace RemoteStartTransaction {

  /// <summary>Holder for reflection information generated from command/charger/RemoteStartTransaction.proto</summary>
  public static partial class RemoteStartTransactionReflection {

    #region Descriptor
    /// <summary>File descriptor for command/charger/RemoteStartTransaction.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static RemoteStartTransactionReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "Cixjb21tYW5kL2NoYXJnZXIvUmVtb3RlU3RhcnRUcmFuc2FjdGlvbi5wcm90",
            "bxIYcmVtb3RlX3N0YXJ0X3RyYW5zYWN0aW9uGitjb21tYW5kL2NoYXJnZXIv",
            "UmVtb3RlU3RhcnRTdG9wU3RhdHVzLnByb3RvGiVjb21tYW5kL2NoYXJnZXIv",
            "Q2hhcmdpbmdQcm9maWxlLnByb3RvIrIBCh1SZW1vdGVTdGFydFRyYW5zYWN0",
            "aW9uQ29tbWFuZBIZCgxjb25uZWN0b3JfaWQYASABKAVIAIgBARIOCgZpZF90",
            "YWcYAiABKAkSQAoQY2hhcmdpbmdfcHJvZmlsZRgDIAEoCzIhLmNoYXJnaW5n",
            "X3Byb2ZpbGUuQ2hhcmdpbmdQcm9maWxlSAGIAQFCDwoNX2Nvbm5lY3Rvcl9p",
            "ZEITChFfY2hhcmdpbmdfcHJvZmlsZSJoCiVSZW1vdGVTdGFydFRyYW5zYWN0",
            "aW9uQ29tbWFuZFJlc3BvbnNlEj8KBnN0YXR1cxgBIAEoDjIvLnJlbW90ZV9z",
            "dGFydF9zdG9wX3N0YXR1cy5SZW1vdGVTdGFydFN0b3BTdGF0dXNClAEKIWNv",
            "bS5jb2RpYmx5Lm1vZGVsLmNvbW1hbmQuY2hhcmdlckIbUmVtb3RlU3RhcnRU",
            "cmFuc2FjdGlvblByb3RvygIhRG9tYWluTW9kZWxcUHJvdG9cQ29tbWFuZFxD",
            "aGFyZ2Vy4gItRG9tYWluTW9kZWxcUHJvdG9cQ29tbWFuZFxDaGFyZ2VyXEdQ",
            "Qk1ldGFkYXRhYgZwcm90bzM="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::RemoteStartStopStatus.RemoteStartStopStatusReflection.Descriptor, global::ChargingProfile.ChargingProfileReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::RemoteStartTransaction.RemoteStartTransactionCommand), global::RemoteStartTransaction.RemoteStartTransactionCommand.Parser, new[]{ "ConnectorId", "IdTag", "ChargingProfile" }, new[]{ "ConnectorId", "ChargingProfile" }, null, null, null),
            new pbr::GeneratedClrTypeInfo(typeof(global::RemoteStartTransaction.RemoteStartTransactionCommandResponse), global::RemoteStartTransaction.RemoteStartTransactionCommandResponse.Parser, new[]{ "Status" }, null, null, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class RemoteStartTransactionCommand : pb::IMessage<RemoteStartTransactionCommand>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<RemoteStartTransactionCommand> _parser = new pb::MessageParser<RemoteStartTransactionCommand>(() => new RemoteStartTransactionCommand());
    private pb::UnknownFieldSet _unknownFields;
    private int _hasBits0;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<RemoteStartTransactionCommand> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::RemoteStartTransaction.RemoteStartTransactionReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public RemoteStartTransactionCommand() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public RemoteStartTransactionCommand(RemoteStartTransactionCommand other) : this() {
      _hasBits0 = other._hasBits0;
      connectorId_ = other.connectorId_;
      idTag_ = other.idTag_;
      chargingProfile_ = other.chargingProfile_ != null ? other.chargingProfile_.Clone() : null;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public RemoteStartTransactionCommand Clone() {
      return new RemoteStartTransactionCommand(this);
    }

    /// <summary>Field number for the "connector_id" field.</summary>
    public const int ConnectorIdFieldNumber = 1;
    private int connectorId_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int ConnectorId {
      get { if ((_hasBits0 & 1) != 0) { return connectorId_; } else { return 0; } }
      set {
        _hasBits0 |= 1;
        connectorId_ = value;
      }
    }
    /// <summary>Gets whether the "connector_id" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasConnectorId {
      get { return (_hasBits0 & 1) != 0; }
    }
    /// <summary>Clears the value of the "connector_id" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearConnectorId() {
      _hasBits0 &= ~1;
    }

    /// <summary>Field number for the "id_tag" field.</summary>
    public const int IdTagFieldNumber = 2;
    private string idTag_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string IdTag {
      get { return idTag_; }
      set {
        idTag_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "charging_profile" field.</summary>
    public const int ChargingProfileFieldNumber = 3;
    private global::ChargingProfile.ChargingProfile chargingProfile_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::ChargingProfile.ChargingProfile ChargingProfile {
      get { return chargingProfile_; }
      set {
        chargingProfile_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as RemoteStartTransactionCommand);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(RemoteStartTransactionCommand other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (ConnectorId != other.ConnectorId) return false;
      if (IdTag != other.IdTag) return false;
      if (!object.Equals(ChargingProfile, other.ChargingProfile)) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (HasConnectorId) hash ^= ConnectorId.GetHashCode();
      if (IdTag.Length != 0) hash ^= IdTag.GetHashCode();
      if (chargingProfile_ != null) hash ^= ChargingProfile.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (HasConnectorId) {
        output.WriteRawTag(8);
        output.WriteInt32(ConnectorId);
      }
      if (IdTag.Length != 0) {
        output.WriteRawTag(18);
        output.WriteString(IdTag);
      }
      if (chargingProfile_ != null) {
        output.WriteRawTag(26);
        output.WriteMessage(ChargingProfile);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (HasConnectorId) {
        output.WriteRawTag(8);
        output.WriteInt32(ConnectorId);
      }
      if (IdTag.Length != 0) {
        output.WriteRawTag(18);
        output.WriteString(IdTag);
      }
      if (chargingProfile_ != null) {
        output.WriteRawTag(26);
        output.WriteMessage(ChargingProfile);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (HasConnectorId) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(ConnectorId);
      }
      if (IdTag.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(IdTag);
      }
      if (chargingProfile_ != null) {
        size += 1 + pb::CodedOutputStream.ComputeMessageSize(ChargingProfile);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(RemoteStartTransactionCommand other) {
      if (other == null) {
        return;
      }
      if (other.HasConnectorId) {
        ConnectorId = other.ConnectorId;
      }
      if (other.IdTag.Length != 0) {
        IdTag = other.IdTag;
      }
      if (other.chargingProfile_ != null) {
        if (chargingProfile_ == null) {
          ChargingProfile = new global::ChargingProfile.ChargingProfile();
        }
        ChargingProfile.MergeFrom(other.ChargingProfile);
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            ConnectorId = input.ReadInt32();
            break;
          }
          case 18: {
            IdTag = input.ReadString();
            break;
          }
          case 26: {
            if (chargingProfile_ == null) {
              ChargingProfile = new global::ChargingProfile.ChargingProfile();
            }
            input.ReadMessage(ChargingProfile);
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            ConnectorId = input.ReadInt32();
            break;
          }
          case 18: {
            IdTag = input.ReadString();
            break;
          }
          case 26: {
            if (chargingProfile_ == null) {
              ChargingProfile = new global::ChargingProfile.ChargingProfile();
            }
            input.ReadMessage(ChargingProfile);
            break;
          }
        }
      }
    }
    #endif

  }

  public sealed partial class RemoteStartTransactionCommandResponse : pb::IMessage<RemoteStartTransactionCommandResponse>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<RemoteStartTransactionCommandResponse> _parser = new pb::MessageParser<RemoteStartTransactionCommandResponse>(() => new RemoteStartTransactionCommandResponse());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<RemoteStartTransactionCommandResponse> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::RemoteStartTransaction.RemoteStartTransactionReflection.Descriptor.MessageTypes[1]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public RemoteStartTransactionCommandResponse() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public RemoteStartTransactionCommandResponse(RemoteStartTransactionCommandResponse other) : this() {
      status_ = other.status_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public RemoteStartTransactionCommandResponse Clone() {
      return new RemoteStartTransactionCommandResponse(this);
    }

    /// <summary>Field number for the "status" field.</summary>
    public const int StatusFieldNumber = 1;
    private global::RemoteStartStopStatus.RemoteStartStopStatus status_ = global::RemoteStartStopStatus.RemoteStartStopStatus.Accepted;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::RemoteStartStopStatus.RemoteStartStopStatus Status {
      get { return status_; }
      set {
        status_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as RemoteStartTransactionCommandResponse);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(RemoteStartTransactionCommandResponse other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (Status != other.Status) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (Status != global::RemoteStartStopStatus.RemoteStartStopStatus.Accepted) hash ^= Status.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (Status != global::RemoteStartStopStatus.RemoteStartStopStatus.Accepted) {
        output.WriteRawTag(8);
        output.WriteEnum((int) Status);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (Status != global::RemoteStartStopStatus.RemoteStartStopStatus.Accepted) {
        output.WriteRawTag(8);
        output.WriteEnum((int) Status);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (Status != global::RemoteStartStopStatus.RemoteStartStopStatus.Accepted) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) Status);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(RemoteStartTransactionCommandResponse other) {
      if (other == null) {
        return;
      }
      if (other.Status != global::RemoteStartStopStatus.RemoteStartStopStatus.Accepted) {
        Status = other.Status;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            Status = (global::RemoteStartStopStatus.RemoteStartStopStatus) input.ReadEnum();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            Status = (global::RemoteStartStopStatus.RemoteStartStopStatus) input.ReadEnum();
            break;
          }
        }
      }
    }
    #endif

  }

  #endregion

}

#endregion Designer generated code
